### Method

# Aravis GcBoolean get_value_gi

since: 0.8.0

#### Declaration [src]

    void
    arv_gc_boolean_get_value_gi (
      ArvGcBoolean* gc_boolean,
      gboolean* value,
      GError** error
    )

#### Description [src]

Get the feature value.

Available since: 0.8.0

This method is renamed to `arv_gc_boolean_get_value()` in language bindings.

#### Parameters

`value`

  Type: `gboolean*`

  Feature value.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.